BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define name		jamonapi
%define version		1.0
%define release		2jpp

Summary:	JAMon Java Application Monitor
URL:		http://jamonapi.sourceforge.net/
Source0:	JAMonAll_121003.tar.bz2
Source1:	jamonapi_build.xml

Name:		%{name}
Version:	%{version}
Release:	alt1_2jpp1.7
Epoch:		0
License:	BSD-style License
Group:		Development/Java
BuildArch:	noarch
BuildRequires: jpackage-utils >= 0:1.5
BuildRequires: ant >= 0:1.6.1
Requires: jpackage-utils >= 0:1.5

%description
The Java Application Monitor (JAMon) is a free, simple, 
high performance, thread safe, Java API that allows 
developers to easily monitor production applications. 
JAMon can be used to determine application performance 
bottlenecks, user/application interactions, and application 
scalability. JAMon gathers summary statistics such as hits, 
execution times (total, average, minimum, maximum, standard 
deviation), and simultaneous application requests. JAMon 
statistics are displayed in the clickable JAMon Report. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
%setup -q -c -n %{name}-%{version}
find . -name "*.jar" -exec rm {} \;
cp %{SOURCE1} build.xml

%build
export CLASSPATH=

ant dist javadoc

%install

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 dist/lib/%{name}-%{version}.jar \
                   $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr JAMonUsersGuide $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr presentation $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr images $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p JAMonUsersGuide/JAMonLicense.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -sf %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%{_javadir}/*
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/JAMonLicense.html

%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%{_docdir}/%{name}-%{version}/JAMonUsersGuide
%{_docdir}/%{name}-%{version}/presentation
%{_docdir}/%{name}-%{version}/images

%changelog
* Tue Jun 05 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt1_2jpp1.7
- converted from JPackage by jppimport script

